# 32/64
#
%define		Werror_cflags %nil

Name:		prboom-plus
Version:	2.5.1.3
Release:	%mkrel 1
Summary:	Free enhanced DOOM engine - DOOM is a classic 3D shoot-em-up game 
Group:		Games/Shooter
License:	GPLv2+
URL:		http://prboom-plus.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.png
BuildRequires:	GL-devel
BuildRequires:	%{_lib}fluidsynth1-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	%{_lib}SDL_net-devel
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}pcre0-devel
BuildRequires:	%{_lib}portmidi-devel
BuildRequires:	%{_lib}mad-devel
BuildRequires:	%{_lib}dumb-devel
Suggests:	doom-iwad
Provides:       doom-engine
Provides:	prboom+ = %{version}-%{release}
Provides:	prboomplus = %{version}-%{release}

%description
PrBoom+ is an enhanced DOOM engine developed from PrBoom.
The target of the PrBoom+ project is to extend the original port
with features that are necessary or useful to the developers and all
those interested in their work. It is worth noting that all changes
introduced in no way break PrBoom's compatibility with the original
DOOM/DOOM2 engines.
PrBoom+ does not include any levels itself. More importantly, you need
all the sounds, sprites, and other graphics that make up the DOOM 
environment.
So to play PrBoom+, you need one of the main DOOM date files from id
Software: either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one
of the commercial DOOM games, or install FreeDOOM.

%prep
%setup -q

%build
./bootstrap;
# rpm has its own optimizations, so turn off shipped defaults
%configure --enable-gl --disable-cpu-opt --program-prefix='' \
	--with-waddir=%{_gamesdatadir}/doom
make %{?_smp_mflags}

%install

make install DESTDIR=%{buildroot};
# Will manually package docs (see %%files)
rm -Rf %{buildroot}/%{_gamesdatadir}/doc;
mkdir -p %{buildroot}/%{_gamesbindir};
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBoom+
Comment=%{Summary}
Icon=%{name}
Exec=%{name}
EOF

%files
%doc NEWS AUTHORS README
%doc doc/MBF.txt doc/MBFFAQ.txt doc/README.compat doc/README.demos doc/boom.txt
%{_gamesbindir}/*
%{_gamesdatadir}/doom
%{_mandir}/*/*
%{_docdir}/%{name}-%{version}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Sep 20 2013 pinoc <vogtpet at gmail.com> 2.5.1.3-1pclos2013
- imported package prboom-plus

